Name:           perl-Package-Variant
Version:        1.002002
Release:        1%{?dist}
Summary:        Parameterizable packages
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Package-Variant/
Source0:        http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/Package-Variant-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Import::Into) >= 1
BuildRequires:  perl(Module::Runtime) >= 0.013
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(strict)
BuildRequires:  perl(strictures) >= 1
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# not automatically detected
Requires:       perl(Sub::Name)

%{?perl_default_filter}

%description
This module allows you to build packages that return different variations
depending on what parameters are given.

%prep
%setup -q -n Package-Variant-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.002002-1
- 1.002002 bump
- Update URL

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.001003-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001003-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Iain Arnell <iarnell@gmail.com> 1.001003-1
- update to latest upstream version

* Wed Feb 20 2013 Iain Arnell <iarnell@gmail.com> 1.001002-2
- R/BR perl(Sub::Name)

* Sun Feb 17 2013 Iain Arnell <iarnell@gmail.com> 1.001002-1
- Specfile autogenerated by cpanspec 1.79.
